composer.json 1.09 KB
Newer Older
1
{
2 3
  "name": "drupal/drupal",
  "description": "Drupal is an open source content management platform powering millions of websites and applications.",
4
  "type": "project",
5
  "license": "GPL-2.0+",
6
  "require": {
7
    "composer/installers": "^1.0.21",
8 9 10
    "wikimedia/composer-merge-plugin": "^1.3.0"
  },
  "replace": {
11
    "drupal/core": "~8.0"
12
  },
13 14
  "minimum-stability": "dev",
  "prefer-stable": true,
15
  "config": {
16 17
    "preferred-install": "dist",
    "autoloader-suffix": "Drupal8"
18 19 20
  },
  "extra": {
    "_readme": [
21
      "By default Drupal loads the autoloader from ./vendor/autoload.php.",
22
      "To change the autoloader you can edit ./autoload.php."
23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40
    ],
    "merge-plugin": {
      "include": [
        "core/composer.json"
      ],
      "recurse": false,
      "replace": false,
      "merge-extra": false
    }
  },
  "autoload": {
    "psr-4": {
      "Drupal\\Core\\Composer\\": "core/lib/Drupal/Core/Composer"
    }
  },
  "scripts": {
    "pre-autoload-dump": "Drupal\\Core\\Composer\\Composer::preAutoloadDump",
    "post-autoload-dump": "Drupal\\Core\\Composer\\Composer::ensureHtaccess"
41
  }
42
}